## python-shotgun 0.1.0+2016.12.30.git.0682f20c42

=== requirements.txt ===
Fabric>=1.7.0
six>=1.9.0
cliff>=1.7.0

## python-shotgun 0.1.0%2B2016.12.30.git.0682f20c42

=== debian/control ===
Source: python-shotgun
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
Build-Depends-Indep: fabric,
                     python-cliff (>= 1.7.0),
                     python-mock (>= 1.3),
                     python-six (>= 1.9.0),
                     python-unittest2,
                     python-pytest,
Standards-Version: 3.9.6
Homepage: https://github.com/thomasgoirand/python-shotgun
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-shotgun.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/python-shotgun.git

Package: python-shotgun
Architecture: all
Section: python
Depends: fabric (>= 1.7.0),
         python-cliff (>= 1.7.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Create and save Fuel diagnostic snapshots
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Shotgun takes a yaml files with command lines as argument so that it can
 collect log files and such to help diagnose problems in Fuel.

## python-shotgun 0.1.0+2016.12.30.git.0682f20c42

=== debian/changelog ===
python-shotgun (0.1.0+2016.12.30.git.0682f20c42-1) unstable; urgency=low

  * Initial release. (Closes: #814418)

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Nov 2014 22:46:45 +0800

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/shotgun.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_clean:
	rm -rf  build
	dh_clean -O--buildsystem=python_distutils


#       set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		python$$i -m pytest shotgun/test ; \
	done
endif

override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/shotgun/tags .*/(\d[\d\.]+)\.tar\.gz

## python-shotgun 9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.9.0 # MIT
cliff!=1.16.0,>=1.15.0 # Apache-2.0

# Packages beyond this line are not in Global Requirements list
# and must be added there.
Fabric>=1.7.0

=== debian/changelog ===
python-shotgun (9.0-3) unstable; urgency=medium

  * Add missing build-depends-indep: python-crypto (Closes: #830397).
  * Do not test with Py3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 13:56:57 +0200

python-shotgun (9.0-2) unstable; urgency=medium

  * Add missing python-oslotest in build-depends-indep (Closes: #825167).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 May 2016 13:33:41 +0000

python-shotgun (9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Switching to testrepository instead of pytest.
  * Standards-Version is now 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 10:23:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,14 @@
                python-setuptools,
 Build-Depends-Indep: fabric,
                      python-cliff (>= 1.7.0),
+                     python-crypto,
                      python-mock (>= 1.3),
+                     python-oslotest (>= 1:2.3.0),
                      python-six (>= 1.9.0),
                      python-unittest2,
-                     python-pytest,
-Standards-Version: 3.9.6
+                     subunit,
+                     testrepository,
+Standards-Version: 3.9.8
 Homepage: https://github.com/thomasgoirand/python-shotgun
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-shotgun.git;a=summary
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-shotgun.git

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-#PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT = git://github.com/openstack/shotgun.git
+UPSTREAM_GIT := https://github.com/openstack/shotgun.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -20,11 +17,17 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "===> Running tests"
-	set -e ; for i in 2.7 ; do \
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		python$$i -m pytest shotgun/test ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
 	done
 endif
